package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrPatrol;

/**
 * 巡检Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrPatrolService 
{
    /**
     * 查询巡检
     * 
     * @param id 巡检ID
     * @return 巡检
     */
    public TPssrPatrol selectTPssrPatrolById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询巡检列表
     * 
     * @param tPssrPatrol 巡检
     * @return 巡检集合
     */
    public List<TPssrPatrol> selectTPssrPatrolList(TPssrPatrol tPssrPatrol);

    /**
     * 新增巡检
     * 
     * @param tPssrPatrol 巡检
     * @return 结果
     */
    public int insertTPssrPatrol(TPssrPatrol tPssrPatrol,String userId);

    /**
     * 修改巡检
     * 
     * @param tPssrPatrol 巡检
     * @return 结果
     */
    public int updateTPssrPatrol(TPssrPatrol tPssrPatrol);

    /**
     * 批量删除巡检
     * 
     * @param ids 需要删除的巡检ID
     * @return 结果
     */
    public int deleteTPssrPatrolByIds(Long[] ids);

    /**
     * 删除巡检信息
     * 
     * @param id 巡检ID
     * @return 结果
     */
    public int deleteTPssrPatrolById(Long id);
}
